package com.guwan.face.service;


import com.arcsoft.face.FaceInfo;
import com.arcsoft.face.enums.ExtractType;
import com.arcsoft.face.toolkit.ImageInfo;
import com.guwan.face.entity.ProcessInfo;
import com.guwan.face.entity.UserCompareInfo;
import com.guwan.face.util.UserInfo;


import java.util.List;


public interface FaceEngineService {

    List<FaceInfo> detectFaces(ImageInfo imageInfo);

    Float compareFace(ImageInfo imageInfo1, ImageInfo imageInfo2) ;

    byte[] extractFaceFeature(ImageInfo imageInfo, FaceInfo faceInfo, ExtractType extractType);

    List<UserCompareInfo> faceRecognition(byte[] faceFeature, List<UserInfo> userInfoList, float passRate) ;

    List<ProcessInfo> process(ImageInfo imageInfo, List<FaceInfo> faceInfoList);



}
